petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESMonitorSolution

Monitors progress of the SNES solvers by calling VecView() for the approximate solution at each iteration.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  SNESMonitorSolution(SNES snes,PetscInt its,PetscReal fgnorm,PetscViewerAndFormat *vf)

Collective on SNES Many br

### Input Parameters

| snes | - the SNES context Many br
| its | - iteration number Many br
| fgnorm | - 2-norm of residual Many br
| dummy | - a viewer Many br

Many br

### Keywords

SNES, nonlinear, vector, monitor, view

### See Also

SNESMonitorSet(), SNESMonitorDefault(), VecView()

Level:intermediate
Location:src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html